org.apache.xerces.impl.dtd

## Class XML11DTDValidator

- java.lang.Object
- - org.apache.xerces.impl.dtd.XMLDTDValidator
  - - org.apache.xerces.impl.dtd.XML11DTDValidator

All Implemented Interfaces:
  XMLDTDValidatorFilter, RevalidationHandler, org.apache.xerces.xni.parser.XMLComponent, org.apache.xerces.xni.parser.XMLDocumentFilter, org.apache.xerces.xni.parser.XMLDocumentSource, org.apache.xerces.xni.XMLDocumentHandler

Direct Known Subclasses:
  XML11NSDTDValidator

    public class XML11DTDValidator
    extends XMLDTDValidator

This allows the validator to correctlyhandle XML 1.1 documents.

Version:
  $Id: XML11DTDValidator.java 446755 2006-09-15 21:56:27Z mrglavas $
Author:
  Neil Graham

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

### Field Summary

Fields
`protected static java.lang.String` `DTD_VALIDATOR_PROPERTY`

### Fields inherited from class org.apache.xerces.impl.dtd.XMLDTDValidator

`BALANCE_SYNTAX_TREES, DATATYPE_VALIDATOR_FACTORY, DYNAMIC_VALIDATION, ERROR_REPORTER, fBalanceSyntaxTrees, fDatatypeValidatorFactory, fDocLocation, fDocumentHandler, fDocumentSource, fDTDGrammar, fDTDValidation, fDynamicValidation, fErrorReporter, fGrammarBucket, fGrammarPool, fNamespaceContext, fNamespaces, fSeenDoctypeDecl, fSymbolTable, fValENTITIES, fValENTITY, fValID, fValidation, fValidationManager, fValidationState, fValIDRef, fValIDRefs, fValNMTOKEN, fValNMTOKENS, fValNOTATION, fWarnDuplicateAttdef, GRAMMAR_POOL, NAMESPACES, PARSER_SETTINGS, SYMBOL_TABLE, VALIDATION, VALIDATION_MANAGER, WARN_ON_DUPLICATE_ATTDEF`

### Constructor Summary

Constructors
Constructor and Description
`XML11DTDValidator()` Default constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `init()` initialization
`void` `reset(org.apache.xerces.xni.parser.XMLComponentManager manager)` Resets the component.

### Methods inherited from class org.apache.xerces.impl.dtd.XMLDTDValidator

`addDTDDefaultAttrsAndValidate, characterData, characters, comment, doctypeDecl, emptyElement, endCDATA, endDocument, endElement, endGeneralEntity, endNamespaceScope, getDocumentHandler, getDocumentSource, getExternalEntityRefInAttrValue, getFeatureDefault, getPropertyDefault, getRecognizedFeatures, getRecognizedProperties, handleEndElement, handleStartElement, hasGrammar, ignorableWhitespace, invalidStandaloneAttDef, isSpace, processingInstruction, setDocumentHandler, setDocumentSource, setFeature, setProperty, startCDATA, startDocument, startElement, startGeneralEntity, startNamespaceScope, textDecl, validate, validateDTDattribute, xmlDecl`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DTD_VALIDATOR_PROPERTY

    protected static final java.lang.String DTD_VALIDATOR_PROPERTY

See Also:
  Constant Field Values

### Constructor Detail

#### XML11DTDValidator

    public XML11DTDValidator()

Default constructor.

### Method Detail

#### reset

    public void reset(org.apache.xerces.xni.parser.XMLComponentManager manager)

Description copied from interface: `org.apache.xerces.xni.parser.XMLComponent`
Resets the component. The component can query the component manager about any features and properties that affect the operation of the component.

Specified by:
  `reset` in interface `org.apache.xerces.xni.parser.XMLComponent`
Overrides:
  `reset` in class `XMLDTDValidator`
Parameters:
  `manager` - The component manager.

#### init

    protected void init()

Description copied from class: `XMLDTDValidator`
initialization

Overrides:
  `init` in class `XMLDTDValidator`